Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors
Class GenericErrorsHandler

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.errors.GenericErrorsHandler

Direct Known Subclasses:
  ENLOCErrorsHandler

    public class GenericErrorsHandler

extends java.lang.Object

Clase manejadora de errores. Mantiene una estructura de los errores que se van reportando.
Por tanto, contiene métodos para agregar errores y mediante el método sobrescrito toString() devuelve la serialización de la estructura XML conteniendo todos los errores que han sido reportados.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`GenericErrorsHandler()` Constructor

Method Summary
`void` | `addError(java.lang.String errorID, java.lang.String defaultDescription, java.util.ArrayList<java.lang.String> parameters)` Permite agregar un error a la estructura, a partir del identificador del error, la descripción por defecto del error y una lista de parámetros.
`void` | `addErrorBefore(java.lang.String errorID, java.lang.String defaultDescription, java.util.ArrayList<java.lang.String> parameters)` Permite agregar un error a la estructura, a partir del identificador del error, la descripción por defecto del error y una lista de parámetros.
`java.lang.String` | `toString()`
`java.lang.String` | `toStringPostProcess()` Devuelve la estructura de errores reportados en un XML serializado como String.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericErrorsHandler

    public GenericErrorsHandler()

  Constructor

Method Detail

### addError

    public void addError(java.lang.String errorID,
                         java.lang.String defaultDescription,
                         java.util.ArrayList<java.lang.String> parameters)
                  throws java.lang.Exception

  Permite agregar un error a la estructura, a partir del identificador del error, la descripción por defecto del error y una lista de parámetros.

  Parameters:
    `errorID` - identificador del error
    `defaultDescription` - descripció por defecto
    `parameters` - lista de parámetros para componer la descripción del error
  Throws:
    `java.lang.Exception` - devuelve ante cualquier error que se produzca

### addErrorBefore

    public void addErrorBefore(java.lang.String errorID,
                               java.lang.String defaultDescription,
                               java.util.ArrayList<java.lang.String> parameters)
                        throws java.lang.Exception

  Permite agregar un error a la estructura, a partir del identificador del error, la descripción por defecto del error y una lista de parámetros.

  Parameters:
    `errorID` - identificador del error
    `defaultDescription` - descripció por defecto
    `parameters` - lista de parámetros para componer la descripción del error
  Throws:
    `java.lang.Exception` - devuelve ante cualquier error que se produzca

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toStringPostProcess

    public java.lang.String toStringPostProcess()

  Devuelve la estructura de errores reportados en un XML serializado como String. Procesa los errores para generar un resultado en un formato más legible

  Returns:
    lista de errores con formato XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD